apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Luke Perkins" <lukeperk...@epicdgs.us>
Subject RE: expat upgrade patch to 2.2.0
Date Mon, 13 Feb 2017 16:35:30 GMT
Stefen,

I submitted a patch request to the APR README regarding the TARBALL vs. SVN versions of the
source file a couple of weeks ago. I have not heard back from the APR committers regarding
the information I needed to successfully build APR from SVN trunk. The patch request had to
do with specifying libxml2/expat to successfully build APR from the SVN trunk. This extra
step is not required in the APR TARBALL release.

Can someone explain the differences between expat and libxml2? I built my version of APR using
libxml2 (2.9.4). Should I have used expat? Is there an advantage of one over the other.

Thank-you,

Luke Perkins

-----Original Message-----
From: Stefan [mailto:luke1410@gmx.de] 
Sent: Sunday, February 12, 2017 16:32
To: dev@apr.apache.org
Subject: expat upgrade patch to 2.2.0

Hi,

just in case it's of some help to some other maintainer, I've put
together the patch I'm using to build MaxSVN to upgrade the bundled
expat version in apr-util 1.5.4 to expat 2.2.0.

As with the previous patches (for 2.1.0 and 2.1.1 - see [1]) the patch
is certainly not ready for direct integration in apr-util.

The patch is available on the corresponding JIRA issue in MaxSVN's
bugtracker [2].

Regards,
Stefan

[1]
http://mail-archives.apache.org/mod_mbox/apr-dev/201509.mbox/%3C55EEBD81.7070608%40egosoft.com%3E
[2] http://www.luke1410.de:8090/browse/MAXSVN-76




Mime
View raw message